<?
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "inc/conf.inc.php" );
require( "inc/check.php" );
$login=$arr['login'];
//$id=$arr['id'];
$id = $row['id'];
$img=$arr['img'];
$login = $login['login'];     
require("version.php");

switch($mod) {

case 'photo':
if(isset($go)){
if(!isset($file)) $error = "<font color=\"red\" size=\"3\"><b>Вы не указали файл!</b></font><br/>";

$size = filesize($file);
$par = GetImageSize($file); 

if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png

if($par[2]!=1&&$par[2]!=2&&$par[2]!=3) $error = "<font color=\"red\" size=\"3\"><b>Недопустимое расширение файла!</b></font><br/>";
if($size>460800) $error = "<font color=\"red\" size=\"3\"><b>Слишком большой размер файла!</b></font><br/>";
if(($par[0]>940)||($par[1]>680)) $error = "<font color=\"red\" size=\"3\"><b>Неправильное разрешение фотографии!</b></font><br/>";
if ($error){
echo "<title>Фото в галерею</title>\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n</style>\r\n</head>\r\n<body>\r\n<div align=\"center\">Здарова, <b>".$row['login']."</b>! Здесь ты сможеш установить фотку в галерею</div>";
echo "<div align=\"center\">";
echo $fsize1;
echo $error;
echo $divide;
echo "<a href=\"foto.php?$ses&amp;mod=photo&amp;id={$id}&amp;pass={$pass}\">&#8592; Назад</a>";
echo $fsize2;
echo "</div>";
echo "</BODY>\n"; 
echo "</HTML>\n";
exit;
}

if (file_exists("photos/$foto")){
unlink ("photos/$foto");
}
Copy($file, "photos/".basename($foto)); 
@mysql_query ("Update users set img='".$foto."', votefoto='0' where id ='".$id."'"); 
@mysql_query ("Delete from golos where login ='".$id."'"); 
}
echo "<title>Фото в галерею</title>\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n</style>\r\n</head>\r\n<body>\r\n<div align=\"center\">Здарова, <b>".$row['login']."</b>! Здесь ты сможеш установить фотку в галерею</div>";
echo "<div align=\"center\">";
echo $fsize1;
echo "<b>ВНИМАНИЕ!!!</b><br/>";
echo "<i>При загрузки нового фото обнуляется колличество голосов за ваше фото. Чтобы голоса начали засчитываться за новое.</i><br/>\n";
echo $divide;
echo "Загружаемая фотка обязательно должна быть в формате Gif, Jpg или Png разрешением не более 640х480 и размером не более 45кб. Если вы хотите заменить свою фотку то просто загрузите новую, а старая автоматически удалится.<br/>\n";
echo $fsize2;

/////////////////////////
$photo = "".$id.".jpg";
echo "<p align=\"center\"><b>{$row['login']}</b> ВАШ.jpg фйл<br/>";
if ( file_exists( "photos/{$foto}" ) )
{
echo "<img src=\"photos/{$photo}\" alt=\"foto\"/><br/>";
}

$photo = "".$id.".gif";
echo "<p align=\"center\"><b>{$row['login']}</b> ВАШ.gif фйл<br/>";
if ( file_exists( "photos/{$foto}" ) )
{
echo "<img src=\"photos/{$photo}\" alt=\"foto\"/><br/>";
}

////////////////////////////////////
//if(@$row["img"]!=""){
//$row["img"] = UrlEncode($row["img"]);
//echo "<img align=\"center\" src=\"fr.php?usid=$usid\"><br/>\n";
//}
echo "<form ENCTYPE=\"multipart/form-data\" action=\"foto.php?mod=photo&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\" method=\"post\">\n";
echo $fsize1;
echo "<b>Прикрепить фотку:</b><br/>\n";
echo $fsize2;
echo "<INPUT NAME=\"file\" TYPE=\"file\" SIZE=\"20\"><br/>\n";
echo "<input type=\"submit\" name=\"go\" value=\"Отправить\">\n";
echo "</form><br/>\n";
echo "<b><a href=\"foto.php?mod=delfoto&amp;id={$id}&amp;pass={$pass}\">Удалить фото</a></b><br/>";
//echo $fsize1;
//echo $divide;
echo "<a href=\"enter.php?&amp;id={$id}&amp;pass={$pass}\">Прихожая</a><br/>";
//echo $fsize1;
echo "</div>\n"; 
echo "</BODY>\n"; 
echo "</HTML>\n";
mysql_close ($link);
break;
/////////////////////////////////////////
case 'delfoto':
if($level>6){
echo "<div align=\"center\">\n";

$s = @mysql_query ("Select img from users where id='".$id."' LIMIT 1;");
$rr = @mysql_fetch_array ($s);
$myfotos = $rr["img"];
$ras=explode(".", $myfotos);
$types=$ras[1];
if (!file_exists("photos/".$id.".".$types."")){
echo "У Вас не установлено фото!<br/>\n";
}else{
if (!ctype_digit($id)) { header("Location: index.php"); die; }
if(@mysql_query ("Update users set img ='' where id ='".$id."';")){
unlink ("photos/".$id.".".$types."");
echo "Фото успешно удалено.<br/>";
} else {
print "Ошибка удаления фото.<br/>";
}
}
}else{
echo $fsize1; 
echo "У Вас недостаточно прав доступа.<br/>";
echo $fsize2;
}
mysql_close ($link);
break;
///////////////////////////////////////////////////
case 'avatars':
if(isset($go)){
if(!isset($file)) $error = "<font color=\"red\" size=\"3\"><b>Вы не указали файл!</b></font><br/>";

$size = filesize($file);
$par = GetImageSize($file); 

if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png

if($par[2]!=1&&$par[2]!=2&&$par[2]!=3) $error = "<font color=\"red\" size=\"3\"><b>Недопустимое расширение файла!</b></font><br/>";
if($size>25060) $error = "<font color=\"red\" size=\"3\"><b>Слишком большой размер файла!</b></font><br/>";
if(($par[0]>174)||($par[1]>174)) $error = "<font color=\"red\" size=\"3\"><b>Неправильное разрешение фотографии!</b></font><br/>";

if ($error){
echo "<title>Фото в галерею</title>\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n</style>\r\n</head>\r\n<body>\r\n<div align=\"center\">Здарова, <b>".$row['login']."</b>! Здесь ты сможеш установить фотку в галерею</div>";
echo "<div align=\"center\">";
echo $fsize1;
echo $error;
echo $divide;
echo "<a href=\"foto.php?$ses&amp;mod=avatars&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\">&#8592; Назад</a>";
echo $fsize2;
echo "</div>";
echo "</BODY>\n"; 
echo "</HTML>\n";
exit;
}

if (file_exists("loadavatars/$foto")){
unlink ("loadavatars/$foto");
}
Copy($file, "loadavatars/".basename($foto)); 
@mysql_query ("Update users set myavatar='".$foto."' where id ='".$id."'"); 
}
echo "<title>Фото в галерею</title>\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n</style>\r\n</head>\r\n<body>\r\n<div align=\"center\">Здарова, <b>".$row['login']."</b>! Здесь ты сможеш установить фотку в галерею</div>";
echo "<div align=\"center\">";
echo $fsize1;
echo $divide;
////////////////////////////
echo "Загружаемый аватар обязательно должен быть в формате Gif, Jpg или Png разрешением не более 174х174 и размером не более 25кб. Если вы хотите заменить свой аватар то просто загрузите новый, а старый автоматически удалится.<br/>\n";
echo $fsize2;
echo "<font color=\"blue\" size=\"5\">".$row["user"]."</font><br/>\n";
if(@$row["myavatar"]!=""){
$row["img"] = UrlEncode($row["myavatar"]);
echo "<img align=\"center\" src=\"fr2.php?usid=$id\"><br/>\n";
}
echo "<form ENCTYPE=\"multipart/form-data\" action=\"foto.php?mod=avatars&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\" method=\"post\">\n";
echo $fsize1;
echo "<b>Прикрепить аватар:</b><br/>\n";
////////////////////////////////////
echo $fsize2;
echo "<INPUT NAME=\"file\" TYPE=\"file\" SIZE=\"20\"><br/>\n";
echo "<input type=\"submit\" name=\"go\" value=\"Отправить\">\n";
echo "</form><br/>\n";
echo $fsize1;
echo $divide;
echo "<a href=\"enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожка</a><br/>";
echo $fsize1;
echo "</div>\n"; 
echo "</BODY>\n"; 
echo "</HTML>\n";
mysql_close ($link);
break;

case 'smiles':
if(isset($go)){
if(!isset($file)) $error = "<font color=\"red\" size=\"3\"><b>Вы не указали файл!</b></font><br/>";

$size = filesize($file);
$par = GetImageSize($file); 

if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png

if($par[2]!=1&&$par[2]!=2&&$par[2]!=3) $error = "<font color=\"red\" size=\"3\"><b>Недопустимое расширение файла!</b></font><br/>";
if($size>25060) $error = "<font color=\"red\" size=\"3\"><b>Слишком большой размер файла!</b></font><br/>";
if(($par[0]>100)||($par[1]>100)) $error = "<font color=\"red\" size=\"3\"><b>Неправильное разрешение фотографии!</b></font><br/>";

if ($error){
echo "<title>Фото в галерею</title>\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n</style>\r\n</head>\r\n<body>\r\n<div align=\"center\">Здарова, <b>".$row['login']."</b>! Здесь ты сможеш установить фотку в галерею</div>";
echo "<div align=\"center\">";
echo $fsize1;
echo $error;
echo $divide;
echo "<a href=\"foto.php?$ses&amp;mod=smiles&amp;ref=$ref\">&#8592; Назад</a>";
echo $fsize2;
echo "</div>";
echo "</BODY>\n"; 
echo "</HTML>\n";
exit;
}

if (file_exists("loadsmile/$foto")){
unlink ("loadsmile/$foto");
}
Copy($file, "loadsmile/".basename($foto)); 
@mysql_query ("Update users set mysmile='".$foto."' where id ='".$id."'"); 
}
echo "<title>Фото в галерею</title>\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n</style>\r\n</head>\r\n<body>\r\n<div align=\"center\">Здарова, <b>".$row['login']."</b>! Здесь ты сможеш установить фотку в галерею</div>";
echo "<div align=\"center\">";
echo $fsize1;
echo $divide;
echo "Загружаемый смайл обязательно должнен быть в формате Gif, Jpg или Png разрешением не более 100х100 и размером не более 25кб. Если вы хотите заменить свой смайл то просто загрузите новый, а старый автоматически удалится.<br/>\n";
echo $fsize2;
echo "<font color=\"blue\" size=\"5\">".$row["user"]."</font><br/>\n";
if(@$row["mysmile"]!=""){
$row["mysmile"] = UrlEncode($row["mysmile"]);
echo "<img align=\"center\" src=\"fr3.php?usid=$id\"><br/>\n";
}
echo "<form ENCTYPE=\"multipart/form-data\" action=\"foto.php?$ses&amp;mod=smiles&amp;ref=$ref\" method=\"post\">\n";
echo $fsize1;
echo "<b>Прикрепить смайл:</b><br/>\n";
echo $fsize2;
echo "<INPUT NAME=\"file\" TYPE=\"file\" SIZE=\"20\"><br/>\n";
echo "<input type=\"submit\" name=\"go\" value=\"Отправить\">\n";
echo "</form><br/>\n";
echo $fsize1;
echo $divide;
echo "<a href=\"enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожка</a><br/>";
echo $fsize1;
echo "</div>\n"; 
echo "</BODY>\n"; 
echo "</HTML>\n";
mysql_close ($link);
break;
}
?>